Package com.ocient.jdbc.proto

## Interface PlanProtocol.JoinColsOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.JoinCols`, `PlanProtocol.JoinCols.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.JoinColsOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getCol​(int index)` `repeated string col = 1;`
`com.google.protobuf.ByteString` `getColBytes​(int index)` `repeated string col = 1;`
`int` `getColCount()` `repeated string col = 1;`
`List<String>` `getColList()` `repeated string col = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getColList

    List<String> getColList()

`repeated string col = 1;`

Returns:
  A list containing the col.

#### getColCount

    int getColCount()

`repeated string col = 1;`

Returns:
  The count of col.

#### getCol

    String getCol​(int index)

`repeated string col = 1;`

Parameters:
  `index` - The index of the element to return.
Returns:
  The col at the given index.

#### getColBytes

    com.google.protobuf.ByteString getColBytes​(int index)

`repeated string col = 1;`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the col at the given index.